Bug 361201 - Review Request: rubygem-activesupport - Support and utility classes used by the Rails framework
Review Request: rubygem-activesupport - Support and utility classes used by t...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 361191
  Show dependency treegraph
 
Reported: 2007-10-31 21:49 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 18:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sseago: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-31 21:49:25 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activesupport.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activesupport-1.4.4-1.src.rpm

Description:

Utility library which carries commonly used classes and
goodies from the Rails framework
Comment 1 Scott Seago 2007-11-07 11:56:21 EST
OK - rpmlint
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

??? - BuildRoot value: not sure if this is really a problem, but it
  looks like %{release} is omitted:

  BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
 vs.
             %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIX - README, CHANGELOG not installed as %doc
  general doc question: docs are included as regular gem
  files in %{geminstdir}, but not in %{_docdir}/%{name}-%{version} as
  in some of the packages Is there a clear preference for doc location?
Comment 2 David Lutterkort 2007-11-13 22:48:01 EST
I fixed the buildroot, and added the README and CHANGELOG to _docdir

I don't think there's a hard-and-fast rule for which docs need to go into
_docdir vs geminstdir, as long as they are properly marked with %doc. I have
tried to put things into _docdir that you would usually look for there, mostly
very simple things like license texts and readmes.

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activesupport.spec
SRPM URL:
http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activesupport-1.4.4-2.src.rpm
Comment 3 Scott Seago 2007-11-14 17:13:33 EST
I think you forgot the buildroot change on this one. otherwise everything's fine.
Comment 4 David Lutterkort 2007-11-28 14:18:06 EST
New Package CVS Request
=======================
Package Name: rubygem-activesupport
Short Description: Support and utility classes used by the Rails framework
Owners: lutter,sseago
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 David Lutterkort 2007-11-28 15:20:28 EST
Ignore the last comment .. added the CVS request prematurely.

Fixed the buildroot.

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-activesupport.spec
SRPM URL:
http://people.redhat.com/dlutter/yum/SRPMS/rubygem-activesupport-1.4.4-3.src.rpm
Comment 6 Scott Seago 2007-11-28 15:50:28 EST
approved
Comment 7 David Lutterkort 2007-11-29 12:53:56 EST
New Package CVS Request
=======================
Package Name: rubygem-activesupport
Short Description: Support and utility classes used by the Rails framework
Owners: lutter,sseago
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2007-11-29 14:58:38 EST
cvs done.
Comment 9 David Lutterkort 2007-12-03 18:49:07 EST
Successfully imported and built.
Comment 10 Jozef Zigmund 2010-11-11 07:06:03 EST
Hi David,

Could you update this gem to the newest version ?

Note You need to log in before you can comment on or make changes to this bug.